Bug 977146 - squid recompilation with --enable-ssl-crtd fails
squid recompilation with --enable-ssl-crtd fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 15:03 EDT by redhat
Modified: 2013-07-24 09:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 09:06:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat 2013-06-23 15:03:26 EDT
Description of problem:

The squid package supplied with FC17 hasn't been compiled with --enable-ssl-crtd,thous ssl-crtd is missing. Recompiling the SRPM after adding
"--enable-ssl-crtd" to the configure option in the SPEC file fails with an compiler error.


Version-Release number of selected component (if applicable):
squid-3.2.9-1.fc17.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Download SRPM and unpack
2. Add "--enable-ssl-crtd" to %configure in SPEC file
3. rpmbuild -ba squid.spec

Actual results:
/bin/sh libtool --tag=CXX   --mode=link g++ -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -pipe -D_REENTRANT -m32 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -march=i386 -mtune=i686 -fpie  -m32 -g -o libsslsquid.la  context_storage.lo Config.lo ErrorDetail.lo ErrorDetailManager.lo support.lo helper.lo
libtool: link: ar cru .libs/libsslsquid.a .libs/context_storage.o .libs/Config.o .libs/ErrorDetail.o .libs/ErrorDetailManager.o .libs/support.o .libs/helper.o
libtool: link: ranlib .libs/libsslsquid.a
certificate_db.cc: In static member function 'static void Ssl::CertificateDb::sq_TXT_DB_delete(TXT_DB*, const char**)':
certificate_db.cc:177:40: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to 'const _STACK* {aka const stack_st*}' for argument '1' to 'int sk_num(const _STACK*)'
certificate_db.cc:178:73: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to 'const _STACK* {aka const stack_st*}' for argument '1' to 'void* sk_value(const _STACK*, int)'
certificate_db.cc: In static member function 'static void Ssl::CertificateDb::sq_TXT_DB_delete_row(TXT_DB*, int)':
certificate_db.cc:194:44: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to '_STACK* {aka stack_st*}' for argument '1' to 'void* sk_delete(_STACK*, int)'
certificate_db.cc:209:13: error: 'LHASH' was not declared in this scope
certificate_db.cc:209:20: error: 'fieldIndex' was not declared in this scope
certificate_db.cc: In member function 'void Ssl::CertificateDb::load()':
certificate_db.cc:548:1: error: 'index_serial_hash_LHASH_HASH' was not declared in this scope
certificate_db.cc:548:1: error: 'index_serial_cmp_LHASH_COMP' was not declared in this scope
certificate_db.cc:551:1: error: 'index_name_hash_LHASH_HASH' was not declared in this scope
certificate_db.cc:551:1: error: 'index_name_cmp_LHASH_COMP' was not declared in this scope
certificate_db.cc: In member function 'bool Ssl::CertificateDb::deleteInvalidCertificate()':
certificate_db.cc:597:46: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to 'const _STACK* {aka const stack_st*}' for argument '1' to 'int sk_num(const _STACK*)'
certificate_db.cc:598:79: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to 'const _STACK* {aka const stack_st*}' for argument '1' to 'void* sk_value(const _STACK*, int)'
certificate_db.cc: In member function 'bool Ssl::CertificateDb::deleteOldestCertificate()':
certificate_db.cc:621:30: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to 'const _STACK* {aka const stack_st*}' for argument '1' to 'int sk_num(const _STACK*)'
certificate_db.cc:628:65: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to 'const _STACK* {aka const stack_st*}' for argument '1' to 'void* sk_value(const _STACK*, int)'
certificate_db.cc: In member function 'bool Ssl::CertificateDb::deleteByHostname(const string&)':
certificate_db.cc:645:46: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to 'const _STACK* {aka const stack_st*}' for argument '1' to 'int sk_num(const _STACK*)'
certificate_db.cc:646:79: error: cannot convert 'stack_st_OPENSSL_PSTRING*' to 'const _STACK* {aka const stack_st*}' for argument '1' to 'void* sk_value(const _STACK*, int)'
make[3]: *** [certificate_db.o] Error 1
make[3]: *** Waiting for unfinished jobs....
libtool: link: ( cd ".libs" && rm -f "libsslsquid.la" && ln -s "../libsslsquid.la" "libsslsquid.la" )
make[3]: Leaving directory `/root/rpmbuild/BUILD/squid-3.2.9/src/ssl'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/root/rpmbuild/BUILD/squid-3.2.9/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/root/rpmbuild/BUILD/squid-3.2.9/src'
make: *** [all-recursive] Error 1
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.gQS0C3 (%build)


Expected results:
Rebuild RPM without any trouble.


Additional info:
This thread
http://squid-web-proxy-cache.1019090.n4.nabble.com/squid-sslbump-compile-errors-td4359682.html
states
"The problem is due to a RedHat patch to OpenSSL 1.0 where OpenSSL lies
about it's version."
Comment 1 Fedora End Of Life 2013-07-03 21:08:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Michal Luscon 2013-07-24 09:06:54 EDT
Hi,
I haven't seen any easy way how to fix this in F17, and therefore with reaching EOL I would suggest to migrate to F18 which contains Squid with enabled crtd.

Note You need to log in before you can comment on or make changes to this bug.